[Yum] i586 packages on an x86_64 machine

Mihai Maties mihai at xcyb.org
Thu Jun 10 06:36:39 UTC 2004


On Thursday 10 June 2004 08:08, seth vidal wrote:
> > I'm using yum to update an x86_64 machine, and one of the repositories
> > it's using is shared with some i686 machines. I'm trying to get yum to
> > install Sun's j2sdk package, built for the i586, and yum installs it
> > correctly on the i686 machines.
> >
> > On the x86_64 machine, though, yum acts like the j2sdk package isn't
> > there. I assume that's because it's an i586 package and yum thinks it
> > isn't compatible.
>
> maybe I'm crazy but is an i586 package ACTUALLY compatible with an
> x86_64?

No, you're not crazy, ix86 != x86_64 :)

So to respond to the original question: the i586 package won't work on a 
x86_64 machine.


Mihai



More information about the Yum mailing list